#ifndef _AP_USB_LIB_H_
#define _AP_USB_LIB_H_

// DLL export macro
#ifdef _cplusplus
#ifndef DLL_AP_USB
#define DLL_AP_USB extern "C" __declspec(dllexport)
#endif
#endif
#ifdef __cplusplus
#ifndef DLL_AP_USB
#define DLL_AP_USB extern "C" __declspec(dllexport)
#endif
#endif
#ifndef DLL_AP_USB
#define DLL_AP_USB extern __declspec(dllexport)
#endif

DLL_AP_USB int ap_usb_find( char* devices, unsigned int tmoMs, int count, int* retCount );
DLL_AP_USB int ap_usb_open( char* address );
DLL_AP_USB int ap_usb_close( int linkId );
DLL_AP_USB int ap_usb_puts( int linkId, char* buf, int count, int* retCount );
DLL_AP_USB int ap_usb_gets( int linkId, char* buf, int count, int* retCount );
DLL_AP_USB int ap_usb_sendbinary( int linkId, char* filename );
DLL_AP_USB int ap_usb_receivebinary( int linkId, char* filename );
DLL_AP_USB int ap_usb_write( int linkId, char* buf, int count, int* retCount );
DLL_AP_USB int ap_usb_read( int linkId, char* buf, int count, int* retCount );
DLL_AP_USB int ap_usb_clear( int linkId );
DLL_AP_USB int ap_usb_settmo( int linkId, unsigned int tmoMs );
DLL_AP_USB void ap_usb_startdebug( char* filename );
DLL_AP_USB void ap_usb_stopdebug( void );

#endif
